barnestr

## Class Lab8

- java.lang.Object
- - javafx.application.Application
  - - barnestr.Lab8

    public class Lab8
    extends javafx.application.Application

The main class for Lab 8. Launches JavaFX Application

Author:
  Trevor Barnes

### Nested Class Summary

### Nested classes/interfaces inherited from class javafx.application.Application

`javafx.application.Application.Parameters`

### Field Summary

### Fields inherited from class javafx.application.Application

`STYLESHEET_CASPIAN, STYLESHEET_MODENA`

### Constructor Summary

Constructors
Constructor and Description
`Lab8()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `main(java.lang.String[] args)`
`void` `start(javafx.stage.Stage primaryStage)` Loads in both Lab8.fxml and KernelController.fxml with each's respective controller.

### Methods inherited from class javafx.application.Application

`getHostServices, getParameters, getUserAgentStylesheet, init, launch, launch, notifyPreloader, setUserAgentStylesheet, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Lab8

    public Lab8()

### Method Detail

#### main

    public static void main(java.lang.String[] args)

#### start

    public void start(javafx.stage.Stage primaryStage)
               throws java.io.IOException

Loads in both Lab8.fxml and KernelController.fxml with each's respective controller. Loader also opens up streams between the two UI windows. Launches the JavaFX application

Specified by:
  `start` in class `javafx.application.Application`
Parameters:
  `primaryStage` - the stage for the main window
Throws:
  `java.io.IOException` - if there is a problem with launching the program